//
// Mailbox abfragen mit Mailchecker
// Datei: buch3_kap10_mailchecker
// Datum: 31.12.14

#include <SPI.h>
#include <Ethernet.h>
#include <TextFinder.h>

byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xAD };
byte ip[] = { 10, 0, 1, 101 };
byte gateway[] = { 10, 0, 1, 1 };
byte subnet[] = { 255, 255, 255, 0 };

// IP des Servers, auf dem mailchecker.php liegt
IPAddress server(123,123,234,234);

EthernetClient client;
TextFinder  finder( client );  


// Feld für Abfrage
char anzahlmails[5];

void setup()
{
  // Start Ethernet-Verbindung
  Ethernet.begin(mac, ip);
  // Initialisierung serielle Schnittstelle
  Serial.begin(9600);
}


void loop()
{
  if (client.connect(server, 80))
  {
    client.print("GET /mailchecker.php");
    client.println(" HTTP/1.0");
    client.println("HOST:www.meinedomain.com\n\n");
    client.println();
    Serial.println("Connected...");
  } 
  else {
    Serial.println(" connection failed");
  } 
  if (client.connected())
  {
    // Emails
    // Feld in XML: <..>
    if ( (finder.getString("<", ">",anzahlmails,5)!=0) )
    {
      Serial.print("Du hast ");
      Serial.print(anzahlmails);
      Serial.println(" Mails in der Mailbox.");
    }
    else
    {
      Serial.println("Keine Mails vorhanden");
    }
    // Ende XML-Abfrage
  }
  else
  {
    Serial.println("Disconnected"); 
  }
  client.stop();
  client.flush();
  // 1 Minute warten
  delay(60000); 
}




