//
// RSS Feed einlesen
// Datei: buch3_kap10_read_rss.ino
// Datum: 06.10.2011/TB

#include <SPI.h>
#include <Ethernet.h>
#include <TextFinder.h>

byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xAD };
byte ip[] = { 10, 0, 1, 101 };
byte gateway[] = { 10, 0, 1, 1 };
byte subnet[] = { 255, 255, 255, 0 };

// IP von Server auf dem readrss.php liegt
IPAddress server(82,195,224,125);

EthernetClient client;
TextFinder  finder( client );  

// Zufallszahl für Anzeige
long randNumber;

// Feld für Abfrage
char rssitem[100];

void setup()
{
  // Start Ethernet Verbindung
  Ethernet.begin(mac, ip);
  // Initialisierung serielle Schnittstelle
  Serial.begin(9600);
}


void loop()
{
  if (client.connect(server, 80))
  {
    // Zufallszahl zwischen 1 und 10 generieren
    randNumber = random(1,10);
    // Beitrag mit ID der Zufallszahl aufrufen
    client.print("GET /arduinobuch/rssreader/readrss.php?rssid=");
    client.print(randNumber);
    client.println(" HTTP/1.0");
    client.println("HOST:www.arduino-praxis.ch\n\n");
    client.println();
    Serial.println("Connected...");
  } 
  else {
    Serial.println(" connection failed");
  } 
  if (client.connected())
  {
    // RSS Item abfragen
    // Feld in XML: <item></item>
    if ( (finder.getString("<item>", "</item>",rssitem,100)!=0) )
    {
      Serial.println(rssitem);
    }
    else
    {
      Serial.println("Keine RSS-Daten gefunden");
    }
    // Ende XML-Abfragen
  }
  else
  {
    Serial.println("Disconnected"); 
  }
  client.stop();
  client.flush();
  // 1 Minute warten
  delay(60000); 
}




