//
// XML Daten von Yahoo Weather abfragen
// Datei: buch3_kap10_read_yahooweather.ino
// Datum: 26.05.2013


#include <SPI.h>
#include <Ethernet.h>
#include <TextFinder.h>

byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xAD };
byte ip[] = { 10, 0, 1, 101 };
byte gateway[] = { 10, 0, 1, 1 };
byte subnet[] = { 255, 255, 255, 0 };

// Server Yahoo
IPAddress server(87,248,122,181);

EthernetClient client;
TextFinder  finder( client );  

char ort[50];
char luftfeuchte[30];


void setup()
{
  // Start Ethernet Verbindung
  Ethernet.begin(mac, ip);
  // Initialisierung serielle Schnittstelle
  Serial.begin(9600);
  Serial.println("Setup...");
}


void loop()
{
  if (client.connect(server, 80))
  {
    // Aufruf Wetter-API
    // weather.yahooapis.com/forecastrss?w=784794&u=c
    ///
    Serial.println("Connect to Yahoo Weather...");
    client.println("GET /forecastrss?w=784794&u=c HTTP/1.0");
    client.println("HOST:weather.yahooapis.com\n\n");
    client.println();
    Serial.println("Connected...");
  } 
  else
  {
    Serial.println(" connection failed");
  } 
 

  if (client.connected())
  {
    
    // Luftfeuchte abfragen
   // Feld in XML: humidity=".."
   if ( (finder.getString("<yweather:atmosphere humidity=\"", "\"",luftfeuchte,4)!=0) )
   {
     Serial.print("Luftfeuchte:  ");
     Serial.println(luftfeuchte);
   } 
   else
   {
     Serial.print("Kein Feld mit Luftfeuchte gefunden");
   }
    
    
    // Stadt abfragen:
    // Feld in XML: <title>Conditions for ..
    if ( (finder.getString("<title>Conditions for ", " ",ort,50)!=0) )
    {
      Serial.print("Ort:  ");
      Serial.println(ort);
    }
    
    
    // Temperatur in Celsius lesen
    // Daten in XML: temp=".."/>
    if(finder.find("temp=") )
    {
     int temperature = finder.getValue();
     Serial.print("Temp C:  ");
     Serial.println(temperature);
   }
   else
   {
     Serial.print("Kein Feld mit Temperatur gefunden");
   }
   
         
  // Ende XML abfragen
  }
  else
  {
    Serial.println("Disconnected"); 
  }
 
  client.stop();
  client.flush();
  // 1 Minute warten
  delay(60000); 
}


