//
// Daten senden an Xively (ehemals Cosm)
// Daten von LM35 Tempsensor
// Datei: buch3_kap10_senddata_xively.ino
// Datum: 30.05.2013

#include <SPI.h>
#include <Ethernet.h>
#include <HttpClient.h>
#include <Xively.h>


// Ethernet-Einstellungen
byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xAD };
byte ip[] = { 10, 0, 1, 101 };
byte gateway[] = { 10, 0, 1, 1 };
byte subnet[] = { 255, 255, 255, 0 };

// API Key
char xivelyKey[] = "XIVELY-KEY";
// Feed-ID
#define FEED_ID 928319938

// Analog-Pins für Temperatursensoren
int sensorPin0 = 0;
int sensorPin1 = 1;
// Analog-Daten
float data0;
float data1;

// ID der Daten-Channels
char sensor0[] = "Temp1";
char sensor1[] = "Temp2";

const int bufferSize = 140;
char bufferValue[bufferSize];

XivelyDatastream datastreams[] = {
  XivelyDatastream(sensor0, strlen(sensor0), DATASTREAM_FLOAT),
  XivelyDatastream(sensor1, strlen(sensor1), DATASTREAM_FLOAT)
};

// Daten-Channels in Daten-Feed
// XivelyFeed feed(Feed-ID, datastreams, AnzahlFeeds);
XivelyFeed feed(FEED_ID, datastreams, 2);

// Client-Objekt
EthernetClient client;
// Xively-Objekt
XivelyClient xivelyclient(client);

void setup()
{
  Serial.begin(9600);
  Ethernet.begin(mac, ip); 
  
  Serial.println("Daten senden an Xively...");
  Serial.println();
}

void loop() 
{
  data0 = analogRead(sensorPin0);
  data1 = analogRead(sensorPin1);
  // Werte konvertieren
  data0 = (5.0 * data0 * 100.0)/1024.0;
  data1 = (5.0 * data1 * 100.0)/1024.0;
  datastreams[0].setFloat(data0);
  datastreams[1].setFloat(data1);

  Serial.println("Daten-Upload...");
  int ret = xivelyclient.put(feed, xivelyKey);
  Serial.print("Status: ");
  Serial.println(ret);

  Serial.println();
  // 10 Sekunden warten
  delay(10000);
}

