//
// Umweltsensor DHT11
// Datei: buch3_kap5_dht11.ino
// Datum: 22.09.2014

#include "DHT.h"

// Data Pin 
#define DHTPIN 2 

// Auswahl Sensor Typ
#define DHTTYPE DHT11   // DHT 11 
//#define DHTTYPE DHT22   // DHT 22  (AM2302)
//#define DHTTYPE DHT21   // DHT 21 (AM2301)

// Sensor Objekt erstellen
DHT dht(DHTPIN, DHTTYPE);

void setup() 
{
  Serial.begin(9600); 
  Serial.println("DHTxx Temp/Humidity Sensor");
  dht.begin();
}

void loop()
{
  // Sensor einlesen
  // Luftfeuchtigkeit
  float h = dht.readHumidity();
  // Temperatur
  float t = dht.readTemperature();

  // Prüfen ob richtiger Rückgabewert
  if (isnan(t) || isnan(h))
  {
    Serial.println("Fehler beim Zugriff auf DHT");
  }
  else
  {
    // Ausgabe der Daten
    Serial.print("Luftfeuchtigkeit: "); 
    Serial.print(h);
    Serial.print("% / ");
    Serial.print("Temperatur: "); 
    Serial.print(t);
    Serial.println(" Grad C");
  }
}
