// 1-Wire-Bus mit Temperatursensoren DS1020
// Datei: buch3_kap5_ds1820.ino
// Datum: 30.05.2012

#include <OneWire.h>
#include <DallasTemperature.h>


// 1-Wire-Bus an Port 10
#define ONE_WIRE_BUS 10

// 1-Wire-Bus instanzieren
OneWire oneWire(ONE_WIRE_BUS);

// Instanzieren der Dallas-Sensoren
DallasTemperature sensors(&oneWire);

// Uebertragungsgeschwindigkeit
int datarate = 9600;


void setup(void)
{
  // Start serieller Port
  Serial.begin(datarate);

  // Start der Sensorübertragung
  sensors.begin();
  
  // Anzahl Sensoren angeben
  Serial.println("Sensoren suchen...");
  Serial.print(sensors.getDeviceCount(), DEC);
  Serial.println(" Sensoren");
  delay(2000);
}


void loop(void)
{ 
  // Temperaturen abfragen
  sensors.requestTemperatures();
    
  // Sensor 0
  float tempC1 = sensors.getTempCByIndex(0);
  // Anzeige Grad C
  Serial.print("Sensor 0: ");
  Serial.println(tempC1);
  
  // Sensor 1
  float tempC2 = sensors.getTempCByIndex(1);
  Serial.print("Sensor 1: ");
  Serial.println(tempC2);
  delay(4000);
}

