// RFM12B Sender als Gefrierwächter
// Datei: buch3_kap5_gefrierwaechter.ino
// Datum: 09.06.14

#include <OneWire.h> 
#include <DallasTemperature.h>
#include <JeeLib.h>

#define NodeID 22
#define NetID 100
#define band RF12_433MHZ

int sensorPin=9;
OneWire oneWire(sensorPin);
DallasTemperature sensors(&oneWire);
int valTemp=0;
int delayTime=20000;

typedef struct {
  int temp;
} Payload;

Payload tinytx;

void setup ()
{
  // Serielle Schnittstelle
  Serial.begin(9600);
  Serial.println("Start RF");
  // Initialisierung RF
  rf12_initialize(NodeID, band, NetID);
}
  
void loop ()
{
  sensors.begin();
  sensors.requestTemperatures();
  valTemp=(sensors.getTempCByIndex(0)*100);
  tinytx.temp=valTemp;
  // Daten senden
  rf12_sendNow(0, &tinytx, sizeof tinytx);
  // Daten gesendet
  Serial.println("Daten gesendet");
  delay(delayTime);
}
