//
// Processing - Daten empfangen
// Datei: buch3_pa_kap8_analog_empfangen.pde
// Datum: 20.04.2015


import processing.serial.*;  

// eingelesener Wert, Stellung des Potentiometers
int valPoti; 
float valFloat;

// ASCII Code für Linefeed (Ende des Strings)
int linefeed = 10;

Serial serport;

void setup ()
{
  // Fenstergrösse festlegen
  size(600, 600);
  // Serieller Port (Port-Nummer und Geschwindigkeit)/
  //serport = new Serial(this, Serial.list()[1], 9600);
  //serport = new Serial(this, "COM5", 9600);
  serport = new Serial(this, Serial.list()[Serial.list().length-1], 9600);
}

void draw() 
{
  // Prüfen ob Daten vorhanden
  while (serport.available() > 0) {
    // Daten einlesen bis Zeichen für Zeilenumbruch (Linefeed)
    String valString = serport.readStringUntil(linefeed);
    // falls Zeichen nicht leer
    if (valString != null)
    {
      // Kontrolle von Zeichen
      print(valString);
      // Konvertierung String to Float
      valFloat=float(valString);
      // Konvertierung Float to Integer
      valPoti=int(valFloat);
     }
  }
  // Hintergrundfarbe setzten
  background(153);
  // gelber Kreis
  fill(255,200,0);
  ellipse(200,200,valPoti,valPoti);
  // Schnittstelle zurücksetzen
  serport.clear();
} 



